import {Page, NavController, AlertController} from 'ionic-angular';
import {AuthService} from '../../providers/authservice/authservice';
import {UserPage} from '../userpage/userpage';
import {Signup} from '../signup/signup';
import { ToastController } from 'ionic-angular';

@Page({
    templateUrl: 'build/pages/home/home.html',
    providers: [AuthService] //se define el proveedor de servicio
})
export class HomePage {
    //se definen las variables
    usercreds: any;
    service: any;
    nav: any;

    constructor(authservice: AuthService, navcontroller: NavController, public alertCtrl: AlertController,
        public toastCtrl: ToastController) {
        this.usercreds = {
            name: '',
            password: '',
        }
        this.service = authservice;
        this.nav = navcontroller;
    }
    //Al hacer click en el botón login el servicio usa la función authenticate con parámetro 'user'
    //Si el dato es correcto, realiza una navegación a la pantalla de usuario, y la define como Root
    login(user) {
        if (user.name == "" || user.password == "") {
            let alert = this.alertCtrl.create({
                title: 'Error',
                subTitle: 'Llena los campos',
                buttons: ['ok']
            });
            alert.present();
        }

        this.service.authenticate(user).then(data => {
            if (data.success) {
                console.log('pantalla de usuario');
                this.nav.setRoot(UserPage);
            }
            else {
                let toast = this.toastCtrl.create({
                    message: data.msg,
                    duration: 3000
                });
                toast.present();
            }

        });
    }
    //Por medio de push, cuando se clickea en 'Sign up' se llama a signup.ts
    signup() {
        console.log('Click crear cuenta');
        this.nav.push(Signup);
    }

}