import { Component } from '@angular/core';
import { Page, NavController, ModalController, AlertController } from 'ionic-angular';
import {AddPlantasPage} from '../add-plantas/add-plantas';
import {InfoPlantaPage} from '../info-planta/info-planta';
import {PlantaPService} from '../../providers/planta-p-service/planta-p-service';
import {PlantService} from '../../providers/plantservice/plantservice';
import {AuthService} from '../../providers/authservice/authservice';
import { ToastController } from 'ionic-angular';
/*
  Generated class for the PlantasPage page.

  See http://ionicframework.com/docs/v2/components/#navigation for more info on
  Ionic pages and navigation.
*/
@Page({
    templateUrl: 'build/pages/plantas/plantas.html',
    providers: [PlantaPService, AuthService, PlantService]

})
export class PlantasPage {
    plantasp: any;
    service: any;
    authservice: any;
    plantservice: any;
    plantap: any;
     servicePlanta: any;
    idUser:any;
    posicion_planta:any;
    constructor(private navCtrl: NavController, private PlantaPService: PlantaPService,
        private modalCtrl: ModalController, public alertCtrl: AlertController, 
        private AuthService: AuthService, private PlantService: PlantService, public toastCtrl: ToastController ) {
        this.service = PlantaPService;
        this.authservice = AuthService;
        this.plantservice = PlantService;
        this.posicion_planta ='';
    }

    ionViewLoaded() {
        this.authservice.getinfo().then((user) => {
            this.service.getPlantasP(user.cedula).then((data) => {
                this.plantasp = data.plantas;
            });
        });
    }

    addPlantaP() {
        //Crea una instancia de la clase AddReviewPage
        let modal = this.modalCtrl.create(AddPlantasPage);

        modal.onDidDismiss(plantap => {
            if (plantap) {
                this.plantap = plantap;

                this.service.createPlantaP(plantap).then(data => {
                    if (data.success) {

                        let toast = this.toastCtrl.create({
                            message: 'Planta añadida en la posicion: ' + data.posicion_planta,
                            duration: 3000
                        });
                        toast.present();

                        this.plantasp.push(plantap);
                        this.posicion_planta = data.posicion_planta;
                        this.crearSensorHum();
                        this.crearSensorTemp();
                    }
                    else {
                        let toast = this.toastCtrl.create({
                            message: data.msg,
                            duration: 3000
                        });
                        toast.present();
                    }
                });;
            }
        });
        modal.present();

    }

    infoplanta(x){
       let modal = this.modalCtrl.create(InfoPlantaPage,{data: x});  
        modal.present();
    }

    borrar(plantap){
         //Remove locally
        let index = this.plantasp.indexOf(plantap);
        if(index > -1){
          this.plantasp.splice(index, 1);
        }
        //Remove from database
        this.service.deletePlanta(plantap);
    }

    crearSensorHum(): void {
        this.authservice.getinfo().then(user => {
            if (user.success) {
                this.idUser = user.cedula;
            }
            this.service.creaSensorHum(this.idUser, this.posicion_planta).then(data => {
                console.log('1servicioplz-.-' + data.msg);
            });
        });
    }
    crearSensorTemp(): void {
        this.authservice.getinfo().then(user => {
            if (user.success) {
                this.idUser = user.cedula;
            }
            this.service.creaSensorTemp(this.idUser).then(data => {
                console.log('2servicioplz.-.' + data.msg);
            });
        });
    }
}

