import {Page, NavController, AlertController} from 'ionic-angular';
import {AuthService} from '../../providers/authservice/authservice';
import {HomePage} from '../home/home';



@Page({
  templateUrl: 'build/pages/signup/signup.html',
    providers: [AuthService]
})
export class Signup {
    //Define las variables
    newcreds:any;
    service:any;
    nav:any;
    constructor(authservice:AuthService, navcontroller:NavController, public alertCtrl:AlertController ) {
        this.newcreds = {
            cedula:'',
            name: '',
            password: '',
            nombre1:'',
            nombre2:'',
            apellido1:'',
            apellido2:'',
            phone: '',
            email:''
        }
        this.service = authservice;
        this.nav = navcontroller;
    }
    //El método de registrar
    register(user) {
        //Llama la función de añadir usuario del servicio pasando como parametro el usuario
        this.service.adduser(user).then(data => {
            if(data) {
                console.log('ggggg'+user+'----'+user.cedula);
                //Una alerta suave
               let alert =  this.alertCtrl.create({
                    title: 'Correcto',
                    subTitle: 'Usuario ' + user.name + 'ha sido creado con la cédula ' + user.cedula,
                    buttons: ['ok']
                });
                alert.present();
                this.nav.push(HomePage);
            }
            else {
                let alert = this.alertCtrl.create({
                    title: 'Error',
                    subTitle: '1) Llena los campos   ' + '   2)El usuario ya existe',
                    buttons: ['ok']
                });
                alert.present();
            }


        });
    }
    cancelar() {
        this.nav.push(HomePage);

    }
}
