import {Page, NavController, AlertController} from 'ionic-angular';
import {AuthService} from '../../providers/authservice/authservice';
import {PlantService} from '../../providers/plantservice/plantservice'
import {HomePage} from '../home/home';
import { Component } from '@angular/core';
import { MenuController } from 'ionic-angular';
import { PlantasPage } from '../plantas/plantas';
import { WikiPage } from '../wiki/wiki';


@Page({
    templateUrl: 'build/pages/userpage/userpage.html',
    providers: [AuthService, PlantService]
    
})

export class UserPage {
    //Se definen las variables
    plantCreds:any;
    plantService: any;
    service:any;
    nav:any;
    constructor(authservice:AuthService, plantservice:PlantService, navcontroller:NavController, 
    public alertCtrl:AlertController, public menuCtrl: MenuController) { 
        this.service = authservice;
        this.nav = navcontroller;
        this.plantService = plantservice;
        this.plantCreds={
            nombre:''
        }
        
    }
    //El método logout
    logout() {
        //llama a la función del servicio 'logout'
        this.service.logout();
        //vuelve a la página de loggeo
        this.nav.setRoot(HomePage);
    }
    //El método de obtener información
    getinfo() {
        //Llama a la función de obtener información del servicio
        this.service.getinfo().then(data => {
            if (data.success) {
                //Una alerta suave                  
                let alert = this.alertCtrl.create({
                    title: data.success,
                    subTitle: data.cedula,
                    buttons: ['ok']
                });
                alert.present();
            }

        })
    }
    addPlanta(planta) {

        this.plantService.addPlanta(planta).then(data => {
            if (data.success) {
                let alert = this.alertCtrl.create({
                    title: data.success,
                    subTitle: data.msg,
                    buttons: ['ok']
                });
                alert.present();
            }
        })

    }
    openMenu() {
        this.menuCtrl.open();
    }

    closeMenu() {
        this.menuCtrl.close();
    }

    toggleMenu() {
        this.menuCtrl.toggle();
    }

    plantar() {
        this.nav.push(PlantasPage);
    }

    wikear(){
        this.nav.push(WikiPage);
    }

}