import { Injectable, Inject } from '@angular/core';
import { Http, Headers } from '@angular/http';
import 'rxjs/add/operator/map';


@Injectable()
export class AuthService {

    http: any;
    isLoggedin: any;
    AuthToken: any;

    constructor(http: Http) {
        this.http = http;
        this.isLoggedin = false;
        this.AuthToken = null;
    }
    //Se ocupan del token después de que llega del server
    storeUserCredentials(token) {
        window.localStorage.setItem('raja', token);
        this.useCredentials(token);

    }

    useCredentials(token) {
        this.isLoggedin = true;
        this.AuthToken = token;
    }

    loadUserCredentials() {
        var token = window.localStorage.getItem('raja');
        this.useCredentials(token);
    }

    destroyUserCredentials() {
        //limpia la variable local (la que almacena los credenciales autenticados)
        //niega todo
        this.isLoggedin = false;
        this.AuthToken = null;
        window.localStorage.clear();
    }
    //El método de autenticación   
    authenticate(user) {

        //define los credenciales del usuario que llegan desde 'login(user)' en cierto formato
        var creds = "name=" + user.name + "&password=" + user.password + "&phone=" + user.phone
            + "&email=" + user.email;
        //Define los headers
        let headers = new Headers();
        //Define los tipos de headers
        headers.append('Content-Type', 'application/x-www-form-urlencoded');

        return new Promise(resolve => {
            //Autentica como postman
            this.http.post('http://jardin-92492.onmodulus.net/authenticate', creds, { headers: headers }).subscribe(data => {
                //Si hay exito entonces almacena los credenciales en una variable local para que puedan ser llamados después 
                if (data.json().success) {
                    this.storeUserCredentials(data.json().token);
                    resolve(data.json());
                }
                else
                    resolve(data.json());
            });
        });
    }
    //El método añadir usuario
    adduser(user) {
        //define los credenciales del usuario que llegan desde 'login(user)' en cierto formato
        var creds = "_cedula="+user.cedula +"&name=" + user.name + "&password=" + user.password + "&nombre1="+user.nombre1 + 
         "&nombre2="+user.nombre2 +  "&apellido1="+user.apellido1 + "&apellido2="+user.apellido2 +
         "&phone=" + user.phone + "&email=" + user.email;
        //Define los headers
        let headers = new Headers();
        //Define los tipos de headers
        headers.append('Content-Type', 'application/x-www-form-urlencoded');

        return new Promise(resolve => {
            //Añade como en postman
            this.http.post('http://jardin-92492.onmodulus.net/adduser', creds, { headers: headers }).subscribe(data => {
                if (data.json().success) {
                    resolve(true);
                }
                else{
                    resolve(false);
                }
            });
        });
    }
    //El método de obtener información
    getinfo() {
        return new Promise(resolve => {
            //Define los headers
            var headers = new Headers();
            //Carga las credenciales desde la variable local del método 'authenticate'
            this.loadUserCredentials();
            headers.append('Authorization', 'Bearer ' + this.AuthToken);
            //Obtiene la información como en postman
            this.http.get('http://jardin-92492.onmodulus.net/getinfo', { headers: headers }).subscribe(data => {
                if (data.json().success)
                    resolve(data.json());
                else
                    resolve(false);
            });
        })
    }
    //El método de salir
    logout() {
        //destruye las credenciales (name, password)
        this.destroyUserCredentials();
    }



    //postea la rivew en el puerto 8080 (el server)
    

   
    
}