import { Injectable } from '@angular/core';
import { Http, Headers } from '@angular/http';
import 'rxjs/add/operator/map';

/*
  Generated class for the PlantaPService provider.

  See https://angular.io/docs/ts/latest/guide/dependency-injection.html
  for more info on providers and Angular 2 DI.
*/
@Injectable()
export class PlantaPService {

  data: any;
  constructor(private http: Http) {
    this.data = null;
  }

  getPlantasP(cedula) {
    console.log('planta-p-service/getPlantas/cedula '+cedula);
    if (this.data) {
      return Promise.resolve(this.data);
    }

    return new Promise(resolve => {

      this.http.get('http://jardin-92492.onmodulus.net/getPlantasP?cedula='+cedula).subscribe(data => {
        if (data.json().success)
          resolve(data.json());
        else {
          console.log('data json' + data.json());
          resolve(data.json());
        }
      });
    });

  }

  createPlantaP(plantap) {

    let headers = new Headers();
    headers.append('Content-Type', 'application/json');

    return new Promise(resolve => {
      this.http.post('http://jardin-92492.onmodulus.net/addPlantaPersonal', JSON.stringify(plantap), { headers: headers })
        .subscribe(res => {
          if (res.json().success) {
            resolve(res.json());
          }
          else
            resolve(res.json());
        });
    });

  }

  deletePlanta(plantap) {

    let headers = new Headers();
    headers.append('Content-Type', 'application/json');

    return new Promise(resolve => {
      this.http.delete('http://jardin-92492.onmodulus.net/deletePlantaPersonal?posicion_planta=' + plantap.posicion_planta + '&idUser=' + plantap.idUser,
        { headers: headers })
        .subscribe(res => {
          if (res.json().success) {
            resolve(res.json());
          }
          else
            resolve(res.json());
        });
    });
  }

  getInfo(plantap, user) {
    return new Promise(resolve => {
      //Define los headers
      var headers = new Headers();
      headers.append('Content-Type', 'application/json');
      this.http.get('http://jardin-92492.onmodulus.net/showPlantaPersonal?_cedula=' + user.cedula + '&posicion_planta=' + plantap.posicion_planta).subscribe(data => {
        if (data.json().success) {
          resolve(data.json());
        }
        else {
          resolve(data.json());
        }
      });
    })
  }

  getHumData(plantap, user) {
    return new Promise(resolve => {
      //Define los headers
      var headers = new Headers();
      headers.append('Content-Type', 'application/json');
      this.http.get('http://jardin-92492.onmodulus.net/showDatoSensor?idSensor=' + user.cedula + plantap.posicion_planta).subscribe(data => {
        if (data.json().success) {
          resolve(data.json());
        }
        else {
          resolve(data.json());
        }
      });
    })
  }
  getTempData(user) {

    return new Promise(resolve => {
      //Define los headers
      var headers = new Headers();
      headers.append('Content-Type', 'application/json');
      this.http.get('http://jardin-92492.onmodulus.net/showDatoSensor?idSensor=' + user.cedula + '5').subscribe(data => {
        if (data.json().success) {
          resolve(data.json());
        }
        else {
          resolve(data.json());
        }
      });
    })
  }

  creaSensorHum(cedula, posicion_planta) {

    console.log('lolololo' + cedula);
    let headers = new Headers();
    headers.append('Content-Type', 'application/json');
    let sensor = {
      codigo_sensor: cedula + posicion_planta,
      nombre: "sensor humedad tierra",
      posicion_planta: posicion_planta,
      idUser: cedula
    }
    console.log('sensor--' + sensor.codigo_sensor);
    return new Promise(resolve => {
      this.http.post('http://jardin-92492.onmodulus.net/addSensor', JSON.stringify(sensor), { headers: headers }).subscribe(data => {
        if (data.json().success) {
          resolve(data.json());
        }
        else {
          resolve(data.json().msg);
        }
      });
    });

  }
  creaSensorTemp(cedula) {
    console.log('lolololo' + cedula);
    let headers = new Headers();
    headers.append('Content-Type', 'application/json');
    let sensor = {
      codigo_sensor: cedula,
      nombre: "Sensor temperatura/humedad aire",
      idUser: cedula
    }
    console.log('sensor--' + sensor.codigo_sensor);
    return new Promise(resolve => {
      this.http.post('http://jardin-92492.onmodulus.net/addSensorSolo', JSON.stringify(sensor), { headers: headers }).subscribe(data => {
        if (data.json().success) {
          resolve(data.json());
        }
        else {
          resolve(data.json());
          console.log(data.json().msg);
        }
      });
    });

  }




  


}